Port {{ sshd_listen_port }}
{% if sshd_listen_addresses is defined -%}
{% for address in sshd_listen_addresses -%}
ListenAddress {{ address }}
{% endfor -%}
{% else -%}
ListenAddress {{ mgmt_address | default('0.0.0.0') }}
{% endif %}

LoginGraceTime {{ sshd_login_grace_time }}
PermitRootLogin {{ sshd_allow_root_login | ternary('yes', 'no') }}

PubkeyAuthentication {{ sshd_pubkey_auth | ternary('yes', 'no') }}
PasswordAuthentication {{ sshd_password_auth | ternary('yes', 'no') }} 
PermitEmptyPasswords {{ sshd_permit_empty_passwords | ternary('yes', 'no') }}
